Stampfactory
Dokumentation
Dienstplan

Kandidatenstatus abrufen

Batch assignment status (V/TV/NV/R/none) for all active employees of the roster unit, aggregated from existing signals only (no persistence)

GET
/rosters/{roster}/candidate_status
AuthentifizierungBearer <token>

Bearer-Token, erhalten über den Login-Endpunkt (POST /rest/login).

Ort: header

Pfadparameter

roster*string

The roster ID

Formatuuid

Query-Parameter

date*string
Formatdate-time
shift_id?|
Formatuuid
start_time?|
Muster^(\d+|\d{1,3}:\d{2}:\d{2}\.\d{3})$
end_time?|
Muster^(\d+|\d{1,3}:\d{2}:\d{2}\.\d{3})$

Response-Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/rosters/497f6eca-6276-4993-bfeb-53cbbbba6f08/candidate_status?date=2019-08-24T14%3A15%3A22Z"
{  "data": [    {      "employee_id": "string",      "status": "string",      "signals": "string"    }  ]}